"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../types");
// attributes 过滤白名单
const attributesWhiteList = [
    'capture-catch:',
    'capture-bind:',
    'mut-bind:',
    'catch:',
    'a:key' // element 元素会先经过 parseFor 处理，走到attribute处理时只会存在 key，不会存在 a:key
];
function default_1(attName, value) {
    let attribute = null;
    attributesWhiteList.forEach((key) => {
        if (attName.indexOf(key) >= 0) {
            attribute = (0, types_1.makeUnSupportAttributeNode)(attName, (0, types_1.dataBindingNode)(value));
        }
    });
    return attribute;
}
exports.default = default_1;
//# sourceMappingURL=index.js.map