"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Context {
    constructor(options) {
        /**
         * 数据绑定的中引用的变量名称
         */
        this.dataBindingVars = new Set();
        this.options = options;
    }
    /**
     * 将数据绑定中用到的变量，合并到Context 中
     * @param node
     */
    mergeDatabindingVars(node) {
        if (node) {
            node.bindingVars.forEach((v) => {
                this.dataBindingVars.add(v);
            });
        }
    }
}
exports.default = Context;
//# sourceMappingURL=context.js.map