"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.databindingForValue = exports.databindingForAttribute = void 0;
const utils_1 = require("@morjs/utils");
function databindingForAttribute(databinding) {
    if (databinding.hasBinding) {
        return utils_1.babelTypes.jsxExpressionContainer(databinding.getExpressionAst());
    }
    else {
        if (databinding.express === undefined) {
            return null;
        }
        return utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.stringLiteral(databinding.express));
    }
}
exports.databindingForAttribute = databindingForAttribute;
function databindingForValue(databinding) {
    if (databinding.hasBinding) {
        return databinding.getExpressionAst();
    }
    else {
        return utils_1.babelTypes.stringLiteral(databinding.express);
    }
}
exports.databindingForValue = databindingForValue;
//# sourceMappingURL=helper-databinding.js.map