import { Plugin, Runner, WebpackWrapper } from '@morjs/utils';
/**
 * html 支持插件
 * 1. 自动载入 index.ejs 或 index.html, 并提供文件纬度条件编译支持
 * 2. 支持 $tigaMy 自定义并注入到 html
 * 3. 支持 html 压缩
 * 4. 支持 template 配置
 */
export declare class HtmlSupportPlugin implements Plugin {
    wrapper: WebpackWrapper;
    name: string;
    constructor(wrapper: WebpackWrapper);
    apply(runner: Runner<any>): void;
    /**
     * 配置 html 支持
     */
    setupHtmlSupport(runner: Runner): void;
}
