"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("../../attribute/index"));
const IXmlNode_1 = require("../../IXmlNode");
const types_1 = require("../../types");
const index_2 = require("../index");
function default_1(xmlElement) {
    if (xmlElement.name === 'slot') {
        const node = (0, types_1.slotNode)([], []);
        if (xmlElement.attributes) {
            node.name = (0, types_1.dataBindingNode)((0, IXmlNode_1.attributeValueAndRemove)(xmlElement.attributes, 'name'));
            node.attributes = (0, index_1.default)(xmlElement);
        }
        node.children = (0, index_2.parseSubElements)(xmlElement);
        return node;
    }
    return null;
}
exports.default = default_1;
//# sourceMappingURL=index.js.map